Bug 244267 - dns/samba-nsupdate: needs fix for building with devel/jsoncpp installed
Summary: dns/samba-nsupdate: needs fix for building with devel/jsoncpp installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Timur I. Bakeyev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-21 07:37 UTC by emz
Modified: 2020-08-23 22:31 UTC (History)
6 users (show)

See Also:


Attachments
Makefile patch (883 bytes, patch)
2020-06-18 06:56 UTC, Andrew
no flags Details | Diff
Makefile with version 9.16.5 (751 bytes, patch)
2020-08-16 18:37 UTC, Andrew
andrew.hotlab: maintainer-approval? (timur)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description emz 2020-02-21 07:37:19 UTC
Port needs a fix indentical to the https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=243387 for obvious reasons.
Comment 1 Andrew 2020-06-12 22:11:47 UTC
I've just hit the problem by installing dns/samba-nsupdate from Ports.

Since I'm unable to apply the fix by myself, I've Cc'd a few guys to kindly ask them to do the same magic they did with bug #243387 ... thanks! :)
Comment 2 Andrew 2020-06-18 06:56:38 UTC
Created attachment 215691 [details]
Makefile patch

I found that updating the dependency from BIND 9.14.2 to BIND 9.16.3 seems to solve the issue. Here is the patch for it.
Comment 3 Sklad 2020-08-09 07:45:12 UTC
Just like in the previous comment, updating the dependency to BIND 9.16.5 (the latest for now), fixes the problem as well.

Perhaps it makes sense to track the latest ISC BIND version, just like dns/bind-tools port does?
Comment 4 rkoberman 2020-08-15 06:09:38 UTC
(In reply to Andrew from comment #2)
Looks liek the [patch is reversed, trying to downgrade from 9.16.3 to 9.14.2. Looks like maybe the files fed to diff were in the wrong order.
Comment 5 Andrew 2020-08-16 18:37:50 UTC
Created attachment 217266 [details]
Makefile with version 9.16.5

(In reply to rkoberman from comment #4)

Thank you, this is the updated patch to make it use BIND version 9.16.5
Comment 6 Timur I. Bakeyev freebsd_committer 2020-08-18 01:36:27 UTC
(In reply to Andrew from comment #5)

While this is the right direction, apparently it's not enough. I can't build port with only those changes in the poudrire.

I'll try to compile more comprehensive update...
Comment 7 Timur I. Bakeyev freebsd_committer 2020-08-18 01:38:33 UTC
(In reply to Andrew from comment #5)

While this is the right direction, apparently it's not enough. I can't build port with only those changes in the poudrire.

I'll try to compile more comprehensive update...
Comment 8 Timur I. Bakeyev freebsd_committer 2020-08-18 01:42:59 UTC
(In reply to Sklad from comment #3)

It makes a lot of sense, but... Alas, the maintainer of the bind* ports doesn't want to carry this burden :(

https://reviews.freebsd.org/D16878

You can try to convince him though..
Comment 9 commit-hook freebsd_committer 2020-08-23 22:24:48 UTC
A commit references this bug:

Author: timur
Date: Sun Aug 23 22:24:43 UTC 2020
New revision: 546025
URL: https://svnweb.freebsd.org/changeset/ports/546025

Log:
  Update samba-nsupdate port to the version 9.16.5

  PR:		244267

Changes:
  head/dns/samba-nsupdate/Makefile
  head/dns/samba-nsupdate/distinfo
  head/dns/samba-nsupdate/files/extrapatch-bind-tools
  head/dns/samba-nsupdate/files/patch-bin_named_include_named_globals.h
Comment 10 Timur I. Bakeyev freebsd_committer 2020-08-23 22:31:48 UTC
I've committed the fix, hope it all works fine.